[Nailgun] test_requirements.py fail

Bug #1496751 reported by Ihor Kalnytskyi on 2015-09-17
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Fuel for OpenStack
Critical
Ihor Kalnytskyi
7.0.x
Critical
Ihor Kalnytskyi

Bug Description

test_requirements.py fail with the following error:

E ContextualVersionConflict: (oslo.i18n 1.5.0 (/home/ikalnitsky/devel/fuel-web/nailgun/.tox/py26/lib/python2.6/site-packages), Requirement.parse('oslo.i18n<=1.3.1,>=1.0.0'), set(['oslo.utils']))

Changed in fuel:
milestone: none → 8.0

Fix proposed to branch: master
Review: https://review.openstack.org/224490

Changed in fuel:
status: New → In Progress

Reviewed: https://review.openstack.org/224490
Committed: https://git.openstack.org/cgit/stackforge/fuel-web/commit/?id=7fdd1d3e592b90e19520bd6a17468b0e8a2b7cb5
Submitter: Jenkins
Branch: master

commit 7fdd1d3e592b90e19520bd6a17468b0e8a2b7cb5
Author: Igor Kalnitsky <email address hidden>
Date: Thu Sep 17 11:44:52 2015 +0300

    Pin oslo.utils < 1.4.1

    Few hours ago the new version of oslo.utils (1.4.1) has been released [1].
    It has incompatible requirements for oslo.i18n, so we have to pin it
    temporary until we up oslo.i18n version.

    [1]: http://git.openstack.org/cgit/openstack/oslo.utils/commit/?id=1.4.1

    Closes-Bug: #1496751

    Change-Id: Ic2f13d0aa4a8e3c9d1744401113db8238c9d01a2
    Signed-off-by: Igor Kalnitsky <email address hidden>

Changed in fuel:
status: In Progress → Fix Committed
Changed in fuel:
importance: High → Critical
Ihor Kalnytskyi (ikalnytskyi) wrote :

The bug is Critical for stable/7.0 either, since any backport to stable/7.0 will lead to CI -1.

Reviewed: https://review.openstack.org/224522
Committed: https://git.openstack.org/cgit/stackforge/fuel-web/commit/?id=f253fdb76e526ad4ce2e1bbdb4211b45504a678f
Submitter: Jenkins
Branch: stable/7.0

commit f253fdb76e526ad4ce2e1bbdb4211b45504a678f
Author: Igor Kalnitsky <email address hidden>
Date: Thu Sep 17 11:44:52 2015 +0300

    Pin oslo.utils < 1.4.1

    Few hours ago the new version of oslo.utils (1.4.1) has been released [1].
    It has incompatible requirements for oslo.i18n, so we have to pin it
    temporary until we up oslo.i18n version.

    [1]: http://git.openstack.org/cgit/openstack/oslo.utils/commit/?id=1.4.1

    Closes-Bug: #1496751

    Change-Id: Ic2f13d0aa4a8e3c9d1744401113db8238c9d01a2
    Signed-off-by: Igor Kalnitsky <email address hidden>

Reviewed: https://review.openstack.org/224549
Committed: https://git.openstack.org/cgit/stackforge/python-fuelclient/commit/?id=ff04cfdf361b647825005bc31838db13f4d1ac4b
Submitter: Jenkins
Branch: master

commit ff04cfdf361b647825005bc31838db13f4d1ac4b
Author: Sebastian Kalinowski <email address hidden>
Date: Thu Sep 17 11:57:05 2015 +0200

    Pin oslo.utils < 1.4.1

    Few hours ago the new version of oslo.utils (1.4.1) has been released [1].
    It has incompatible requirements for oslo.i18n, so we have to pin it
    temporary until we up oslo.i18n version.

    [1]: http://git.openstack.org/cgit/openstack/oslo.utils/commit/?id=1.4.1

    Change-Id: Ie77f4583d368d41f750a7ffe58a2f24c29bc1f51
    Partial-Bug: #1496751

tags: added: non-release

Reviewed: https://review.openstack.org/224555
Committed: https://git.openstack.org/cgit/stackforge/python-fuelclient/commit/?id=486bde57cda1badb68f915f66c61b544108606f3
Submitter: Jenkins
Branch: stable/7.0

commit 486bde57cda1badb68f915f66c61b544108606f3
Author: Sebastian Kalinowski <email address hidden>
Date: Thu Sep 17 11:57:05 2015 +0200

    Pin oslo.utils < 1.4.1

    Few hours ago the new version of oslo.utils (1.4.1) has been released [1].
    It has incompatible requirements for oslo.i18n, so we have to pin it
    temporary until we up oslo.i18n version.

    [1]: http://git.openstack.org/cgit/openstack/oslo.utils/commit/?id=1.4.1

    Change-Id: Ie77f4583d368d41f750a7ffe58a2f24c29bc1f51
    Partial-Bug: #1496751
    (cherry picked from commit ff04cfdf361b647825005bc31838db13f4d1ac4b)

tags: added: on-verification
Nikita Marchenko (nmarchenko) wrote :

verified on 290 ISO

tags: removed: on-verification
Dmitry Pyzhov (dpyzhov) on 2015-10-06
tags: added: tech-debt
Changed in fuel:
status: Fix Committed → Fix Released
Dmitry Pyzhov (dpyzhov) on 2015-10-22
tags: added: area-python
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers